Debian Bug report logs - #352616
ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 12 Feb 2006 23:48:10 UTC

Owned by: Tim Retout <tim@retout.co.uk>

Severity: normal

Fixed in version libpalm-perl/1:1.009-1

Done: Tim Retout <tim@retout.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352616; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
Date: Mon, 13 Feb 2006 00:30:16 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of libpalm-perl, Bradley Marshall <brad@humbug.org.au>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Bradley wants the taker of libpalm-perl to also consider taking
coldsync, please have a look that, too.

Some information about this package:

Package: libpalm-perl
Binary: libpalm-perl
Version: 1.3.0-4
Priority: extra
Section: perl
Maintainer: Bradley Marshall <brad@humbug.org.au>
Build-Depends-Indep: debhelper
Architecture: all
Standards-Version: 3.6.1.0
Format: 1.0
Directory: pool/main/libp/libpalm-perl
Files:
 90857b1d691a4f312b3c69b2dfbe2411 581 libpalm-perl_1.3.0-4.dsc
 000358ff30cd28eb095b3fc0f6c35af5 42517 libpalm-perl_1.3.0.orig.tar.gz
 37e0817e78624d7c48a90d5113d9e769 2299 libpalm-perl_1.3.0-4.diff.gz

Package: libpalm-perl
Priority: extra
Section: perl
Installed-Size: 260
Maintainer: Bradley Marshall <brad@humbug.org.au>
Architecture: all
Version: 1.3.0-4
Depends: perl5
Filename: pool/main/libp/libpalm-perl/libpalm-perl_1.3.0-4_all.deb
Size: 76072
MD5sum: 6a21e452492b5cbbd754acd8f60c7ca9
Description: Perl 5 modules for manipulating pdb and prc database files
 Contains Perl modules for manipulating Palm Pilot databases.  These
 include Palm::ToDo, Palm::Memo, Palm::Mail, Palm::Address, Palm::Datebook,
 and the generic Palm::PDB.
Tag: culture::japanese, devel::library, langdevel::perl, made-of::lang:perl


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352616; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yvan Bassuel <yvan@brutux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 352616@bugs.debian.org (full text, mbox):

From: Yvan Bassuel <yvan@brutux.org>
To: 352616@bugs.debian.org
Subject: ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
Date: Tue, 14 Feb 2006 11:23:15 +0100
package wnpp
retitle 352616 ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc
database files
owner 352616 !
thanks

I intend to adopt this package as well as coldsync.

Yvan



Changed Bug title. Request was from Yvan Bassuel <yvan@brutux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Yvan Bassuel <yvan@brutux.org>. Request was from Yvan Bassuel <yvan@brutux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Yvan Bassuel <yvan@brutux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Yvan Bassuel <yvan@brutux.org> to Yvan Bassuel <yvan@brutux.org>. Request was from Yvan Bassuel <yvan@brutux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#352616; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #21 received at 352616-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Yvan Bassuel <yvan@brutux.org>
Cc: 352615-quiet@bugs.debian.org, 352616-quiet@bugs.debian.org
Subject: Re: ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
Date: Thu, 06 Apr 2006 12:20:36 +0200
On Tue, Feb 14, 2006 at 11:23:15 +0100, Yvan Bassuel wrote:
> retitle 352616 ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc
> database files
> owner 352616 !
> thanks
>
> I intend to adopt this package as well as coldsync.

Do you still intend to adopt libpalm-perl and coldsync?  (This is just
a ping, I'm not interested in adopting them myself.)

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352616; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yvan Bassuel <yvan@brutux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 352616@bugs.debian.org (full text, mbox):

From: Yvan Bassuel <yvan@brutux.org>
To: 352615@bugs.debian.org, 352616@bugs.debian.org, control@debian.org
Cc: Matej Vela <vela@debian.org>
Subject: O: coldsync and libpalm-perl
Date: Thu, 20 Apr 2006 16:51:43 +0200
retitle 352615 O: coldsync -- A tool for syncing PalmOS PDAs with Unix workstations
retitle 352616 O: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
owner 352615 wnpp
owner 352616 wnpp
thanks

I don't have time to work on these packages anymore, so I prefer to orphan them.

Regards,
Yvan



Changed Bug title. Request was from Yvan Bassuel <yvan@brutux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Yvan Bassuel <yvan@brutux.org> to wnpp. Request was from Yvan Bassuel <yvan@brutux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by wnpp. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352616; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <tim@retout.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 352616@bugs.debian.org (full text, mbox):

From: Tim Retout <tim@retout.co.uk>
To: 352616@bugs.debian.org
Cc: control@bugs.debian.org, debian-perl@lists.debian.org
Subject: ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
Date: Sat, 16 Aug 2008 18:29:24 -0300
retitle 352616 ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
owner 352616 !
kthxbye

This package has a reasonable popcon and a few rdepends, so it is
probably worth adopting as part of pkg-perl. I've got a Palm V lying
around somewhere at home. :)

There is a new upstream version (and new upstream) available at:
http://search.cpan.org/dist/p5-Palm/ - I haven't checked that it's
completely backwards-compatible, but I assume so.

The new versioning style may require adding an epoch... or should the
package really be called 'libp5-palm-perl'?

-- 
Tim Retout <tim@retout.co.uk>





Changed Bug title to `ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files' from `O: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files'. Request was from Tim Retout <tim@retout.co.uk> to control@bugs.debian.org. (Sat, 16 Aug 2008 21:33:07 GMT) Full text and rfc822 format available.

Owner recorded as Tim Retout <tim@retout.co.uk>. Request was from Tim Retout <tim@retout.co.uk> to control@bugs.debian.org. (Sat, 16 Aug 2008 21:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Tim Retout <tim@retout.co.uk>:
Bug#352616; Package wnpp. Full text and rfc822 format available.

Message #44 received at 352616@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Tim Retout <tim@retout.co.uk>
Cc: 352616@bugs.debian.org, control@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
Date: Mon, 18 Aug 2008 08:00:06 +0300
[Message part 1 (text/plain, inline)]
-=| Tim Retout, Sat, Aug 16, 2008 at 06:29:24PM -0300 |=-
> retitle 352616 ITA: libpalm-perl -- Perl 5 modules for manipulating pdb and prc database files
> owner 352616 !
> kthxbye
> 
> This package has a reasonable popcon and a few rdepends, so it is
> probably worth adopting as part of pkg-perl. I've got a Palm V lying
> around somewhere at home. :)

Thanks for your initiative in this, Tim.

> There is a new upstream version (and new upstream) available at:
> http://search.cpan.org/dist/p5-Palm/ - I haven't checked that it's
> completely backwards-compatible, but I assume so.

The Changes file is not very verbose unfortunately. "catches up for 
all the changes since Nov 2002 :/"

> The new versioning style may require adding an epoch... or should 
> the package really be called 'libp5-palm-perl'?

libpalm-perl is better, as the main module is Palm (and others are all 
Palm::Foo). About the versions, I'd use upstream version mangling in 
debian/watch.

The currently present version is 1.3.0, and the new upstream release 
is 1.009. So I'd add

    opts="uversionmangle=s/\.0+/./"

to the beginning of the watch line. This way the 1.009 will become 
1.9.

Or, use an epoch. I find epochs ugly, but version mangling is not that 
nice either.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Tim Retout <tim@retout.co.uk>:
You have taken responsibility. (Mon, 16 Feb 2009 23:45:02 GMT) Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. (Mon, 16 Feb 2009 23:45:02 GMT) Full text and rfc822 format available.

Message #49 received at 352616-close@bugs.debian.org (full text, mbox):

From: Tim Retout <tim@retout.co.uk>
To: 352616-close@bugs.debian.org
Subject: Bug#352616: fixed in libpalm-perl 1:1.009-1
Date: Mon, 16 Feb 2009 23:17:09 +0000
Source: libpalm-perl
Source-Version: 1:1.009-1

We believe that the bug you reported is fixed in the latest version of
libpalm-perl, which is due to be installed in the Debian FTP archive:

libpalm-perl_1.009-1.diff.gz
  to pool/main/libp/libpalm-perl/libpalm-perl_1.009-1.diff.gz
libpalm-perl_1.009-1.dsc
  to pool/main/libp/libpalm-perl/libpalm-perl_1.009-1.dsc
libpalm-perl_1.009-1_all.deb
  to pool/main/libp/libpalm-perl/libpalm-perl_1.009-1_all.deb
libpalm-perl_1.009.orig.tar.gz
  to pool/main/libp/libpalm-perl/libpalm-perl_1.009.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 352616@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tim Retout <tim@retout.co.uk> (supplier of updated libpalm-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Feb 2009 23:31:01 +0000
Source: libpalm-perl
Binary: libpalm-perl
Architecture: source all
Version: 1:1.009-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Tim Retout <tim@retout.co.uk>
Description: 
 libpalm-perl - Perl 5 modules for manipulating pdb and prc database files
Closes: 352616
Changes: 
 libpalm-perl (1:1.009-1) unstable; urgency=low
 .
   [ gregor herrmann ]
   * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
     field (source stanza).
   * debian/control: Added: ${misc:Depends} to Depends: field.
 .
   [ Tim Retout ]
   * New maintainer. (Closes: #352616)
     + Set maintainer to Debian Perl group.
     + Add self to Uploaders.
   * New upstream version.
     + debian/watch: Update to use CPAN releases.
     + debian/copyright: Rewrite.
   * debian/control:
     + Bump Standards-Version to 3.8.0
   * Use dh7 and quilt:
     + debian/rules: Replace with minimal dh7+quilt rules.
     + debian/compat: Bump to 7.
     + debian/control: Add quilt and debhelper (>= 7) to Build-Depends.
     + debian/README.source: New file.
   * debian/libpalm-perl.examples: Ship examples directory.
   * debian/libpalm-perl.docs:
     + Move file from debian/docs
     + Remove README. Add FAQ.
   * debian/patches/use-3pm-manpage-extension.patch: New patch to fix
     manpage extensions.
   * debian/patches/no-pod-in-palm-datetime.patch: Exclude Palm::DateTime
     from man page generation.
   * debian/patches/clean-up-test-pdb.patch: Remove t/Test.pdb when running
     'make clean'.
 .
   [ gregor herrmann ]
   * debian/control: Added: Homepage field (source stanza).
   * debian/rules: touch Makefile after unpatching Makefile.PL.
   * debian/control: add libtest-pod-perl, libtest-pod-coverage-perl to
     Build-Depends-Indep.
Checksums-Sha1: 
 a03ef63b50b0d84aee925afc9580d197fc4e7450 1322 libpalm-perl_1.009-1.dsc
 bb5307ff9340add0a78bf4e690adfdeef4707a92 54515 libpalm-perl_1.009.orig.tar.gz
 0df85afcb4403809508b0d9e548d843243ff1cb6 3810 libpalm-perl_1.009-1.diff.gz
 5e20ac61b1875a5fe6523843d403a1067ef7f226 98586 libpalm-perl_1.009-1_all.deb
Checksums-Sha256: 
 82804b57f2fcaa1410dafffaf1a8e7ccb5b7807ecf448e50f0424b97327e583a 1322 libpalm-perl_1.009-1.dsc
 371a5221d7f6447f9f61b49fd0d66729c0f3d70d99c30f63a3b97166a8449fe0 54515 libpalm-perl_1.009.orig.tar.gz
 9d9603ee3ae3f0f33bb503d8c8e6f2a8b1fd3df4b7b38202cd7e59f8a8e2ad3d 3810 libpalm-perl_1.009-1.diff.gz
 93a4b7427754b969a94effd46b75a2622d6a4a72efaf37f8dadc03deafb37c6d 98586 libpalm-perl_1.009-1_all.deb
Files: 
 092ca1cdb470dc4598982f74366d3dce 1322 perl extra libpalm-perl_1.009-1.dsc
 919c8f52aa98eec1abccb5d944dab4ab 54515 perl extra libpalm-perl_1.009.orig.tar.gz
 26c76c13e46a0d94388b40d3aff2bc93 3810 perl extra libpalm-perl_1.009-1.diff.gz
 04369c37b36c96d094bc939ff9fe1d4d 98586 perl extra libpalm-perl_1.009-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmZ8c8ACgkQOzKYnQDzz+SSdQCeO+c52nXzyptAqs9I4/ZBXWuO
QMAAnio371zQ+FPkSLH+4jjkuu9pvxxA
=GjRP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Mar 2009 07:26:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:10:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.